Subject: Re: [PATCH v2 2/2] Teach @{-1} to git merge

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Feb 2009 21:24:21 -0800

Deskin Miller <[email-masked]> writes:

> I did 'git branch -M @{-1}' yesterday and ended up renaming my branch
> to refs/heads/@{-1}.  Personally my usage felt like it should work
> (but of course I think that); curious to know what others think, if
> this is a bug.

The @{-n} notation is supposed to be usable anywhere you would write a
branch name and should behave as if you wrote the name itself.  And 'git
branch -M <name> [<name>]' does expect a branch name, not a random
extended SHA-1 expression.

I'd say it is a bug.